# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [v1.0.0] - 2025-03-11

### Fixed

- Wait for authentication to complete for fast polling rates

### Changed

- Add hyphen to regex for schema version to enable issue branches

## [v0.1.0] - 2023-03-24

### Added

Create an adapter class which handles authentication with the communications-backbone (Nucleus)

- implement client credentials token grant
- implement poll/publish/broadcast

Create a protocol instance class

- implement scchema validation
- implement stubs for encode/decode/receivedInvalid

Create a soar protocol instance

- implement retreive schema version by tag/branch/commitref
- override methods to handle soar message structure

[v0.1.0]: https://git.noc.ac.uk/communications-backbone-system/backbone-adapter-javascript/compare/a8eef21a...v0.1.0
[unreleased]: https://git.noc.ac.uk/communications-backbone-system/backbone-adapter-javascript/compare/v0.1.0...dev
